package com.qmth.sop.business.bean.result;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.sop.common.enums.DelayWarnTypeEnum;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * @Description: 流程消息提醒 result
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2023/2/17
 */
public class FlowTaskMsgResult implements Serializable {

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "服务单元id")
    Long serviceId;

    @ApiModelProperty(value = "服务单元名称")
    String serviceName;

    @ApiModelProperty(value = "客户名称")
    String customName;

    @ApiModelProperty(value = "用户真实姓名")
    String realName;

    @ApiModelProperty(value = "用户手机号码")
    String mobileNumber;

    @ApiModelProperty(value = "考勤异常申请时间")
    Long applyTime;

    @ApiModelProperty(value = "项目计划变更类型")
    DelayWarnTypeEnum exchangeType;

    public Long getApplyTime() {
        return applyTime;
    }

    public void setApplyTime(Long applyTime) {
        this.applyTime = applyTime;
    }

    public DelayWarnTypeEnum getExchangeType() {
        return exchangeType;
    }

    public void setExchangeType(DelayWarnTypeEnum exchangeType) {
        this.exchangeType = exchangeType;
    }

    public Long getServiceId() {
        return serviceId;
    }

    public void setServiceId(Long serviceId) {
        this.serviceId = serviceId;
    }

    public String getServiceName() {
        return serviceName;
    }

    public void setServiceName(String serviceName) {
        this.serviceName = serviceName;
    }

    public String getCustomName() {
        return customName;
    }

    public void setCustomName(String customName) {
        this.customName = customName;
    }

    public String getRealName() {
        return realName;
    }

    public void setRealName(String realName) {
        this.realName = realName;
    }

    public String getMobileNumber() {
        return mobileNumber;
    }

    public void setMobileNumber(String mobileNumber) {
        this.mobileNumber = mobileNumber;
    }
}
